# Method: projects.locations.spaces.applicationTemplates.systemRevisions.list

- [HTTP request](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.ListApplicationTemplateSystemRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions/list#try-it)

Lists application template system revisions in a given application template.

### HTTP request

`GET https://designcenter.googleapis.com/v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/systemRevisions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent Application Template from which to list the system revisions. Format: projects/{project}/locations/{location}/spaces/{space}/applicationTemplates/{applicationTemplate} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of system revisions to return. The service may return fewer than this value. If unspecified, at most 50 system revisions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call. |
| `filter` | `string` Optional. A filter expression that filters system revisions listed in the response. See <https://google.aip.dev/160> for more information on the grammar. |

### Request body

The request body must be empty.

### Response body

Message for response to listing application template system revisions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "applicationTemplateSystemRevisions": [ { object (`https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions#ApplicationTemplateSystemRevision`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `applicationTemplateSystemRevisions[]` | ``object (`https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates.systemRevisions#ApplicationTemplateSystemRevision`)`` The list of application template system revisions. |
| `nextPageToken` | `string` If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `designcenter.applicationTemplates.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).